<?php
// @formatter:off

namespace PHPSTORM_META {

   /**
    * PhpStorm Meta file, to provide autocomplete information for PhpStorm
    * Generated on 2019-02-26 18:11:19.
    *
    * @author Barry vd. Heuvel <barryvdh@gmail.com>
    * @see https://github.com/barryvdh/laravel-ide-helper
    */
    override(new \Illuminate\Contracts\Container\Container, map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\Illuminate\Contracts\Container\Container::make(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\Illuminate\Contracts\Container\Container::makeWith(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\App::make(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\App::makeWith(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\app(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));
    override(\resolve(0), map([
        '' => '@',
        'Asm89\Stack\CorsService' => \Asm89\Stack\CorsService::class,
        'Dipper\Excel\Reader' => \Dipper\Excel\Reader::class,
        'Dipper\Foundation\Http\Guzzle' => \Dipper\Foundation\Http\Guzzle::class,
        'Dipper\Foundation\Snowflake\IdWorker' => \Dipper\Foundation\Snowflake\IdWorker::class,
        'Faker\Generator' => \Faker\Generator::class,
        'Illuminate\Console\Scheduling\ScheduleFinishCommand' => \Illuminate\Console\Scheduling\ScheduleFinishCommand::class,
        'Illuminate\Console\Scheduling\ScheduleRunCommand' => \Illuminate\Console\Scheduling\ScheduleRunCommand::class,
        'Illuminate\Contracts\Auth\Access\Gate' => \Illuminate\Auth\Access\Gate::class,
        'Illuminate\Contracts\Console\Kernel' => \App\Console\Kernel::class,
        'Illuminate\Contracts\Debug\ExceptionHandler' => \Dipper\Foundation\Exceptions\Handler::class,
        'Illuminate\Contracts\Queue\EntityResolver' => \Illuminate\Database\Eloquent\QueueEntityResolver::class,
        'Illuminate\Contracts\Routing\ResponseFactory' => \App\Core\ResponseFactory::class,
        'Illuminate\Database\Eloquent\Factory' => \Illuminate\Database\Eloquent\Factory::class,
        'Overtrue\Pinyin\Pinyin' => \Overtrue\Pinyin\Pinyin::class,
        'agent' => \Jenssegers\Agent\Agent::class,
        'auth' => \Illuminate\Auth\AuthManager::class,
        'auth.driver' => \Tymon\JWTAuth\JWTGuard::class,
        'auth:admin' => \App\Domains\Auth\Services\AuthService::class,
        'auth:admin:check:account' => \App\Domains\Account\Handler\AuthAdminCheckAccount::class,
        'auth:admin:check:permission' => \App\Domains\Permission\Handler\AuthAdminCheckPermission::class,
        'auth:company' => \App\Domains\Auth\Services\AuthService::class,
        'auth:company:check:account' => \App\Domains\Virtual\Handler\AuthCompanyCheckAccount::class,
        'blade.compiler' => \Illuminate\View\Compilers\BladeCompiler::class,
        'cache' => \Illuminate\Cache\CacheManager::class,
        'cache.store' => \Illuminate\Cache\Repository::class,
        'captcha' => \App\Domains\Captcha\Services\CaptchaService::class,
        'command.auth.resets.clear' => \Illuminate\Auth\Console\ClearResetsCommand::class,
        'command.cache.clear' => \Illuminate\Cache\Console\ClearCommand::class,
        'command.cache.forget' => \Illuminate\Cache\Console\ForgetCommand::class,
        'command.cache.table' => \Illuminate\Cache\Console\CacheTableCommand::class,
        'command.ide-helper.eloquent' => \Barryvdh\LaravelIdeHelper\Console\EloquentCommand::class,
        'command.ide-helper.generate' => \Barryvdh\LaravelIdeHelper\Console\GeneratorCommand::class,
        'command.ide-helper.meta' => \Barryvdh\LaravelIdeHelper\Console\MetaCommand::class,
        'command.ide-helper.models' => \Barryvdh\LaravelIdeHelper\Console\ModelsCommand::class,
        'command.migrate' => \Illuminate\Database\Console\Migrations\MigrateCommand::class,
        'command.migrate.install' => \Illuminate\Database\Console\Migrations\InstallCommand::class,
        'command.migrate.make' => \Illuminate\Database\Console\Migrations\MigrateMakeCommand::class,
        'command.migrate.refresh' => \Illuminate\Database\Console\Migrations\RefreshCommand::class,
        'command.migrate.reset' => \Illuminate\Database\Console\Migrations\ResetCommand::class,
        'command.migrate.rollback' => \Illuminate\Database\Console\Migrations\RollbackCommand::class,
        'command.migrate.status' => \Illuminate\Database\Console\Migrations\StatusCommand::class,
        'command.queue.failed' => \Illuminate\Queue\Console\ListFailedCommand::class,
        'command.queue.failed-table' => \Illuminate\Queue\Console\FailedTableCommand::class,
        'command.queue.flush' => \Illuminate\Queue\Console\FlushFailedCommand::class,
        'command.queue.forget' => \Illuminate\Queue\Console\ForgetFailedCommand::class,
        'command.queue.listen' => \Illuminate\Queue\Console\ListenCommand::class,
        'command.queue.restart' => \Illuminate\Queue\Console\RestartCommand::class,
        'command.queue.retry' => \Illuminate\Queue\Console\RetryCommand::class,
        'command.queue.table' => \Illuminate\Queue\Console\TableCommand::class,
        'command.queue.work' => \Illuminate\Queue\Console\WorkCommand::class,
        'command.seed' => \Illuminate\Database\Console\Seeds\SeedCommand::class,
        'command.seeder.make' => \Illuminate\Database\Console\Seeds\SeederMakeCommand::class,
        'command.tinker' => \Laravel\Tinker\Console\TinkerCommand::class,
        'composer' => \Illuminate\Support\Composer::class,
        'config' => \Illuminate\Config\Repository::class,
        'db' => \Illuminate\Database\DatabaseManager::class,
        'db.connection' => \Illuminate\Database\PostgresConnection::class,
        'db.factory' => \Illuminate\Database\Connectors\ConnectionFactory::class,
        'dipper' => \App\Core\Dipper::class,
        'events' => \Illuminate\Events\Dispatcher::class,
        'excel' => \Dipper\Excel\Excel::class,
        'files' => \Illuminate\Filesystem\Filesystem::class,
        'filesystem' => \Illuminate\Filesystem\FilesystemManager::class,
        'image' => \Intervention\Image\ImageManager::class,
        'memcached.connector' => \Illuminate\Cache\MemcachedConnector::class,
        'migration.creator' => \Illuminate\Database\Migrations\MigrationCreator::class,
        'migration.repository' => \Illuminate\Database\Migrations\DatabaseMigrationRepository::class,
        'migrator' => \Illuminate\Database\Migrations\Migrator::class,
        'purifier' => \Dipper\Foundation\Purifier\Purifier::class,
        'queue' => \Illuminate\Queue\QueueManager::class,
        'queue.connection' => \Illuminate\Queue\RedisQueue::class,
        'queue.failer' => \Illuminate\Queue\Failed\DatabaseFailedJobProvider::class,
        'queue.listener' => \Illuminate\Queue\Listener::class,
        'queue.worker' => \Illuminate\Queue\Worker::class,
        'redis' => \Illuminate\Redis\RedisManager::class,
        'redis.connection' => \Illuminate\Redis\Connections\PredisConnection::class,
        'sms' => \Dipper\Sms\Sms::class,
        'translation.loader' => \Illuminate\Translation\FileLoader::class,
        'translator' => \Illuminate\Translation\Translator::class,
        'tymon.jwt' => \Tymon\JWTAuth\JWT::class,
        'tymon.jwt.auth' => \Tymon\JWTAuth\JWTAuth::class,
        'tymon.jwt.blacklist' => \Tymon\JWTAuth\Blacklist::class,
        'tymon.jwt.claim.factory' => \Tymon\JWTAuth\Claims\Factory::class,
        'tymon.jwt.manager' => \Tymon\JWTAuth\Manager::class,
        'tymon.jwt.parser' => \Tymon\JWTAuth\Http\Parser\Parser::class,
        'tymon.jwt.payload.factory' => \Tymon\JWTAuth\Factory::class,
        'tymon.jwt.provider.auth' => \Tymon\JWTAuth\Providers\Auth\Illuminate::class,
        'tymon.jwt.provider.jwt' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.jwt.lcobucci' => \Tymon\JWTAuth\Providers\JWT\Lcobucci::class,
        'tymon.jwt.provider.jwt.namshi' => \Tymon\JWTAuth\Providers\JWT\Namshi::class,
        'tymon.jwt.provider.storage' => \Tymon\JWTAuth\Providers\Storage\Illuminate::class,
        'tymon.jwt.secret' => \Tymon\JWTAuth\Console\JWTGenerateSecretCommand::class,
        'tymon.jwt.validators.payload' => \Tymon\JWTAuth\Validators\PayloadValidator::class,
        'validation.presence' => \Illuminate\Validation\DatabasePresenceVerifier::class,
        'view' => \Illuminate\View\Factory::class,
        'view.engine.resolver' => \Illuminate\View\Engines\EngineResolver::class,
        'view.finder' => \Illuminate\View\FileViewFinder::class,
    ]));

    override(\Illuminate\Support\Arr::add(0), type(0));
    override(\Illuminate\Support\Arr::except(0), type(0));
    override(\Illuminate\Support\Arr::first(0), elementType(0));
    override(\Illuminate\Support\Arr::last(0), elementType(0));
    override(\Illuminate\Support\Arr::get(0), elementType(0));
    override(\Illuminate\Support\Arr::only(0), type(0));
    override(\Illuminate\Support\Arr::prepend(0), type(0));
    override(\Illuminate\Support\Arr::pull(0), elementType(0));
    override(\Illuminate\Support\Arr::set(0), type(0));
    override(\Illuminate\Support\Arr::shuffle(0), type(0));
    override(\Illuminate\Support\Arr::sort(0), type(0));
    override(\Illuminate\Support\Arr::sortRecursive(0), type(0));
    override(\Illuminate\Support\Arr::where(0), type(0));
    override(\array_add(0), type(0));
    override(\array_except(0), type(0));
    override(\array_first(0), elementType(0));
    override(\array_last(0), elementType(0));
    override(\array_get(0), elementType(0));
    override(\array_only(0), type(0));
    override(\array_prepend(0), type(0));
    override(\array_pull(0), elementType(0));
    override(\array_set(0), type(0));
    override(\array_sort(0), type(0));
    override(\array_sort_recursive(0), type(0));
    override(\array_where(0), type(0));
    override(\head(0), elementType(0));
    override(\last(0), elementType(0));
    override(\with(0), type(0));
    override(\tap(0), type(0));

}
