<?php

namespace App;

use Illuminate\Config\Repository;

class Dicts extends Repository
{
    const DICTS = [
        'has' => ['无', '有'],
        'sex' => ['未知', '男', '女'],
        'params' =>  ['limit', 'page', 'search', 'searchFields', 'filter', 'orderBy', 'sortedBy', 'with', 'searchJoin'],
        'horoscope' => ['未知', '水瓶座', '双鱼座', '白羊座', '金牛座', '双子座', '巨蟹座', '狮子座', '处女座', '天秤座', '天蝎座', '射手座', '摩羯座'],
        'blood'     => ['其他血型', 'A型血', 'B型血', 'O型血', 'AB型血'],
        'education' => ['其他', '小学及以下', '初中', '高中', '中专', '大专', '本科', '研究生', '博士及以上'],
        'love'      => ['其他', '单身', '恋爱中', '已婚'],
        'permission_type' => ['页面', '接口'],
        'permission_status' => ['关闭', '启用'],
        'week' => ['周日', '周一', '周二', '周三', '周四', '周五', '周六'],
        'weekIso' => ['周一', '周二', '周三', '周四', '周五', '周六', '周日'],
        'pay_channel' => ['银行转账' => ['bank'], '余额支付' => ['account'],  '微信支付' =>  ['wx', 'wx_pub', 'wx_pub_qr', 'wx_pub_scan', 'wx_wap', 'wx_lite'], '支付宝' => ['alipay', 'alipay_wap', 'alipay_qr', 'alipay_scan', 'alipay_pc_direct'], '天猫续费' => ['tmall']],
        'carrier_operator' => ['联通', '移动', '电信', '全网'],
        'service_type' => ['套餐开通', '套餐续费', '套餐更换', '套餐销售'],
        'card_status' => ['测试期', '沉默期', '服务期', '服务到期', '已注销'],
        'package_type' => ['基础套餐', '续费包', '加油包', '可选包', '附加包'],
        'tables' => ['real' => 'RD', 'virtual' => 'VD'],
        'order_status' => ['已下单', '已取消', '已排单', '已出库', '已发货', '已签收'],
        'transaction_status' => ['未付款', '已付款', '已退款'],
        'company_transaction_status' => ['未收款', '已收款', '已退款'],
        'logistics' => ['sf' => '顺丰速运', 'sto' => '申通快递','yto' => '圆通速递', 'zto' => '中通快递', 'best' => '百世快递', 'yunda' => '韵达快递', 'ttkd'=> '天天快递', 'ems' => 'EMS邮政特快专递'],
        'export_status' => ['准备中', '写入中', '保存中', '已完成', '导出失败', '文件丢失'],
        'shares' => ['未知', '纵向共享', '横向共享'],
        'business_type' => ['对私', '对公'],
    ];

    public function __construct()
    {
        parent::__construct(self::DICTS);
    }
}
