<?php

// Prefix: /api/auth
$router->group(['prefix' => 'auth', 'as' => 'auth'], function ($router) {
    // The controllers live in Domains/Auth/Http/Controllers
    $router->post('admin/login', ['as' => 'admin.login', 'uses' => 'AdminAuthController@login']);
    $router->post('admin/logout', ['as' => 'admin.logout', 'uses' => 'AdminAuthController@logout', 'middleware' => 'adminAuth']);
    $router->get('admin/info', ['as' => 'admin.info', 'uses' => 'AdminAuthController@info', 'middleware' => 'adminAuth']);

    $router->post('company/login', ['as' => 'company.login', 'uses' => 'CompanyAuthController@login']);
    $router->post('company/logout', ['as' => 'company.logout', 'uses' => 'CompanyAuthController@logout', 'middleware' => 'companyAuth']);
    $router->get('company/info', ['as' => 'company.info', 'uses' => 'CompanyAuthController@info', 'middleware' => 'companyAuth']);
});
