<?php

namespace App\Domains\Company;

use Illuminate\Support\Collection;

class PayType extends Collection
{
    public function __construct()
    {
        $payTypes = [
            [
                'channel' => 'yhzz',
                'name' => '银行转账',
                'extends' => [
                    '企业名称' => '福建省福信富通网络科技股份有限公司',
                    '银行账号' => '100046142160010002',
                    '开户行' => '福建海峡银行福州科技支行',
                ],
                'remark' => '请转账至该银行账号'
            ],
            [
                'channel' => 'alipay',
                'name' => '支付宝支付',
                'extends' => [
                    '用户名' => 'adviser@aliyun.com',
                    '真实姓名' => '福建省福信富通网络科技有限公司',
                ],
                'remark' => '请到支付宝首页搜索该用户名进行转账',
            ],
        ];

        parent::__construct($payTypes);
    }
}
