<?php

namespace App\Domains\Log\Repositories;

use App\Core\Repository;
use App\Models\Log\Log as Model;

class LogRepository extends Repository
{
    /**
     * 是否关闭缓存 // 写入频繁的关闭缓存
     *
     * @var boolean
     */
    protected $cacheSkip = true;
    protected $needTransform = false;

    /**
     * @var array
     */
    protected $fieldSearchable = [
        'id'         => '=',
        'request_url' => 'like',
        'request_method' => '=',
        'request_param' => 'like',
        'response_status' => '=',
        'response_content' => 'like',
        'action' => '=',
        'created_at' => 'like',
    ];

    public function model()
    {
        return Model::class;
    }

    /**
     * 数据格式化
     *
     * @param mixed $result
     *
     * @return mixed
     */
    public function transform($model)
    {
        return $model->toArray();
    }
}
