<?php

// Prefix: /api/permissions
$router->group(['prefix' => 'permissions', 'as' => 'permissions', 'middleware' => ['adminAuth']], function ($router) {
    // The controllers live in Domains/Permission/Http/Controllers
    $router->get('index', ['as' => 'index', 'uses' => 'PermissionController@index']);
    $router->post('create', ['as' => 'create', 'uses' => 'PermissionController@create']);
    $router->post('update/{id}', ['as' => 'update', 'uses' => 'PermissionController@update']);
    $router->post('destroy', ['as' => 'destroy', 'uses' => 'PermissionController@destroy']);
});

// Prefix: /api/roles
$router->group(['prefix' => 'roles', 'as' => 'roles', 'middleware' => ['adminAuth']], function ($router) {
    // The controllers live in Domains/Permission/Http/Controllers
    $router->get('index', ['as' => 'index', 'uses' => 'RoleController@index']);
    $router->get('show/{id}', ['as' => 'show', 'uses' => 'RoleController@show']);
    $router->post('create', ['as' => 'create', 'uses' => 'RoleController@create']);
    $router->post('update/{id}', ['as' => 'update', 'uses' => 'RoleController@update']);
    $router->post('destroy', ['as' => 'destroy', 'uses' => 'RoleController@destroy']);
    $router->post('sync_permissions', ['as' => 'sync_permissions', 'uses' => 'RoleController@syncPermissions']);
    $router->post('sync_roles', ['as' => 'sync_roles', 'uses' => 'RoleController@syncRoles']);
});
