<?php
namespace App\Domains\Real\Providers;

use Illuminate\Support\ServiceProvider;
use App\Domains\Real\Providers\RouteServiceProvider;
use Illuminate\Database\Eloquent\Factory as EloquentFactory;

class RealServiceProvider extends ServiceProvider
{
    /**
     * 引导启动任何应用程序服务
     *
     * php artisan make:migration --path=app/Domains/Real/Database/migrations
     *
     * @return void
     */
    public function boot()
    {
        // $this->loadMigrationsFrom([realpath(__DIR__ . '/../Database/migrations')]);
        // $this->app->make(EloquentFactory::class)->load(realpath(__DIR__ . '/../Database/factories'));
        // $this->mergeConfigFrom(realpath(__DIR__ . '/../config.php'), 'domain.real');

        $this->commands([
            \App\Domains\Real\Commands\Sync\CompanySync::class,
            \App\Domains\Real\Commands\Sync\PackageSync::class,
            \App\Domains\Real\Commands\Sync\OrderBaseSync::class,
            \App\Domains\Real\Commands\Sync\AddedOrderSync::class,
            \App\Domains\Real\Commands\Sync\FlowPoolSync::class,
            \App\Domains\Real\Commands\Sync\RefundSync::class,
            \App\Domains\Real\Commands\Sync\ActivatedSync::class,
            \App\Domains\Real\Commands\Sync\CancelledSync::class,
        ]);
    }

    /**
     * 注册一个服务提供者
     *
     * @return void
     */
    public function register()
    {
        $this->app->register(RouteServiceProvider::class);
    }
}
