<?php

namespace App\Models\Card;

use App\Core\Model;

/**
 * App\Models\Card\Card
 *
 * @property int $sim sim号
 * @property string $imsi imsi号
 * @property string $iccid iccid号
 * @property int $carrier_operator 运营商(0:联通 1:移动 2:电信)
 * @property \Illuminate\Support\Carbon|null $activated_at 激活时间
 * @property \Illuminate\Support\Carbon|null $virtual_activated_at 虚拟激活时间
 * @property int $type 类型(0:真实卡 1:虚拟卡 2:未知卡)
 * @property int $order_status 订单状态 0:正常 1:退货
 * @property \Illuminate\Support\Carbon|null $cancelled_at 注销时间
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereActivatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereCancelledAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereCarrierOperator($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereIccid($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereImsi($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereOrderStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereSim($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Card\Card whereVirtualActivatedAt($value)
 * @mixin \Eloquent
 */
class Card extends Model
{
    protected $table = 'cards';

    public $incrementing = false;

    protected $primaryKey = 'sim';

    protected $dates = ['activated_at', 'virtual_activated_at', 'cancelled_at'];
}
