<?php

namespace App\Models\Config;

use App\Core\Model;
use Illuminate\Database\Eloquent\Builder;

/**
 * 配置
 *
 * @property string $name 配置名称
 * @property array|null $value 缓存值
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Config\Config whereValue($value)
 * @mixin \Eloquent
 */
class Config extends Model
{
    protected $table = 'configs';

    protected $primaryKey = 'name';

    public $incrementing = false;

    protected $casts = [
        'value' => 'array',
    ];
}
