<?php

namespace App\Models\Export;

use App\Core\Model;

/**
 * App\Models\Export\Export
 *
 * @property int $id 自增ID
 * @property string $sn 命令编号
 * @property string $tag 标记
 * @property string $disk 存储位置
 * @property string $filename 文件名
 * @property int $filesize 文件大小
 * @property array|null $conditions 查询条件
 * @property int $status 状态 0:数据准备中 1:开始写入 2:写入结束 3:保存成功 4:任务失败
 * @property int $progress 进度
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereConditions($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereDisk($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereFilename($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereFilesize($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereProgress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereSn($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereTag($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Export\Export whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Export extends Model
{
    protected $table = 'exports';
    
    protected $fillable = ['id', 'sn', 'tag', 'filename' , 'filesize', 'conditions', 'status', 'progress'];

    protected $casts = [
        'conditions' => 'array',
    ];
}
