<?php

namespace App\Models\File;

use App\Core\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * App\Models\File\FileWith
 *
 * @property int $id
 * @property int $file_id 文件ID
 * @property int $account_id 账号ID
 * @property string $type_id 类型ID
 * @property string $type 记录类型
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property-read \App\Models\File\File $file
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\File\FileWith onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereAccountId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereFileId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereTypeId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\File\FileWith whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Models\File\FileWith withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\File\FileWith withoutTrashed()
 * @mixin \Eloquent
 */
class FileWith extends Model
{
    use SoftDeletes;

    protected $table = 'file_withs';

    public function file(): BelongsTo
    {
        return $this->belongsTo(File::class, 'file_id', 'id');
    }
}
