<?php

namespace App\Models\Log;

use App\Core\Model;
use Dipper\Foundation\Snowflake\SnowflakeHelpers;

/**
 * App\Models\Log\Log
 *
 * @property int $id 日志ID
 * @property string $request_url 请求地址
 * @property string $request_method 请求方法
 * @property array $request_param 请求参数
 * @property string $request_device 请求设备
 * @property string $request_browser 请求浏览器
 * @property string $request_languages 语言
 * @property int $response_status 返回状态码
 * @property array $response_content 返回内容
 * @property string $action 动作
 * @property string $ip 操作IP
 * @property int $creator_id 操作者ID
 * @property string $creator_type 操作者类型
 * @property string $creator_username 操作者名称
 * @property string $creator_nickname 操作者昵称
 * @property int $microtime 请求时间
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereAction($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereCreatorId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereCreatorNickname($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereCreatorType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereCreatorUsername($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereIp($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereMicrotime($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestBrowser($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestDevice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestLanguages($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestMethod($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestParam($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereRequestUrl($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereResponseContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereResponseStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Log\Log whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Log extends Model
{
    use SnowflakeHelpers;
    
    protected $table = 'logs';

    protected $casts = [
        'request_param' => 'array',
        'response_content' => 'array',
    ];
}
