<?php

namespace App\Models\Real;

use App\Core\Model;

/**
 * App\Models\Real\FlowPool
 *
 * @property int $id 自增ID
 * @property string $sn 编号
 * @property int $company_id 关联企业ID
 * @property string $name 名称
 * @property int $flows 流量值 -1不限流量 单位MB
 * @property int $carrier_operator 运营商(0:联通 1:移动 2:电信)
 * @property int $shared 共享类型 0:未知 1同流量横向共享 2基础流量纵向共享 3纵向共享
 * @property string|null $package_ids 包含套餐
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereCarrierOperator($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereCompanyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereFlows($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool wherePackageIds($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereShared($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereSn($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\FlowPool whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FlowPool extends Model
{
    protected $table = 'real_flow_pools';

    protected $casts = [
        'package_ids' => 'array',
        'real_pool_ids' => 'array',
    ];
}
