<?php

namespace App\Models\Real;

use App\Core\Model;
use App\Models\PackageBase;

/**
 * App\Models\Real\Package
 *
 * @property int $id 企业ID
 * @property int $parent_id 父级ID
 * @property string $sn 套餐编号
 * @property string $name 套餐名称
 * @property int $type 套餐类型（0:基础套餐 1：续费包 2:加油包 3:可选包 4:附加包）
 * @property int $carrier_operator 运营商(0:联通 1:移动 2:电信)
 * @property int $cost_price 成本价格
 * @property int $guide_price 指导价格
 * @property int $flows 套餐流量(M)
 * @property int $voices 套餐语音(分钟)
 * @property int $messages 套餐短信(条)
 * @property int $has_messages 是否开通短信服务（0:无 1：有）
 * @property int $has_lbs 是否开通LBS服务（0:无 1：有）
 * @property int $reset_months 重置周期(月)
 * @property int $service_months 套餐周期(月)
 * @property int $effect_months 生效延迟周期(月)
 * @property int $delay_months 服务延长周期(月)
 * @property string|null $description 描述
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereCarrierOperator($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereCostPrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereDelayMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereEffectMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereFlows($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereGuidePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereHasLbs($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereHasMessages($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereMessages($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereParentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereRenewalCostPrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereRenewalGuidePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereResetMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereServiceMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereSn($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Real\Package whereVoices($value)
 * @mixin \Eloquent
 * @property int $renewal_cost_price 续费成本价格
 * @property int $renewal_guide_price 续费指导价格
 */
class Package extends PackageBase
{
    protected $table = 'real_packages';

    public $incrementing = false;
}
