<?php

namespace App\Models\Virtual;

use App\Core\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\Virtual\CompanyAddress
 *
 * @property int $id 自增ID
 * @property int $company_id 企业ID
 * @property string $contacts 联系人
 * @property string $mobile 手机号
 * @property string $area 区域
 * @property string $address 地址
 * @property int $default 是否默认 0:不是 1:是
 * @property int $status 状态 0:正常 1:禁用
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\CompanyAddress onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereArea($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereCompanyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereContacts($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereDefault($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereMobile($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereStatus($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\CompanyAddress whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\CompanyAddress withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\CompanyAddress withoutTrashed()
 * @mixin \Eloquent
 */
class CompanyAddress extends Model
{
    use SoftDeletes;

    protected $table = 'virtual_company_addresses';
    
    protected $fillable = ['id', 'company_id' , 'contacts', 'mobile', 'area', 'address', 'default', 'status'];
}
