<?php

namespace App\Models\Virtual;

use App\Core\Model;

/**
 * App\Models\Virtual\FlowPoolData
 *
 * @property int $id 自增ID
 * @property int $pool_id 流量池ID
 * @property int $month 月份
 * @property int $total_flows 总使用流量 单位KB
 * @property array|null $settings 配置
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereMonth($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData wherePoolId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereSettings($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereTotalFlows($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\FlowPoolData whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class FlowPoolData extends Model
{
    protected $table = 'virtual_flow_pool_data';

    protected $casts = [
        'settings' => 'array',
    ];
}
