<?php

namespace App\Models\Virtual;

use App\Core\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Virtual\Relations\OrderRelations;

/**
 * App\Models\Virtual\OrderFlowPackageCards
 *
 * @property int $id
 * @property int $type
 * @property int $sim
 * @property int $order_id
 * @property int $company_id
 * @property int $package_id
 * @property int $counts
 * @property string|null $service_start_at
 * @property string|null $service_end_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property-read \App\Models\Card\Card $card
 * @property-read \App\Models\Virtual\Company $company
 * @property-read \App\Models\Virtual\Order $order
 * @property-read \App\Models\Virtual\Package $package
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderFlowPackageCards onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereCompanyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereCounts($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards wherePackageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereServiceEndAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereServiceStartAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereSim($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderFlowPackageCards withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderFlowPackageCards withoutTrashed()
 * @mixin \Eloquent
 * @property int $unit_price
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereProductId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderFlowPackageCards whereUnitPrice($value)
 */
class OrderFlowPackageCards extends Model
{
    use SoftDeletes, OrderRelations;

    protected $table = 'virtual_order_flows_package_cards';
}
