<?php

namespace App\Models\Virtual;

use App\Core\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Virtual\Relations\OrderRelations;

/**
 * App\Models\Virtual\OrderRenewalCard
 *
 * @property int $id
 * @property int $type
 * @property int $sim
 * @property int $order_id
 * @property int $company_id
 * @property int $package_id
 * @property int $counts
 * @property string|null $service_start_at
 * @property string|null $service_end_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property-read \App\Models\Card\Card $card
 * @property-read \App\Models\Virtual\Company $company
 * @property-read \App\Models\Virtual\Order $order
 * @property-read \App\Models\Virtual\Package $package
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalCard onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereCompanyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereCounts($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard wherePackageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereServiceEndAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereServiceStartAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereSim($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalCard withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalCard withoutTrashed()
 * @mixin \Eloquent
 * @property int $unit_price
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereProductId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalCard whereUnitPrice($value)
 */
class OrderRenewalCard extends Model
{
    use SoftDeletes, OrderRelations;

    protected $table = 'virtual_order_renewal_cards';
}
