<?php

namespace App\Models\Virtual;

use App\Core\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Virtual\Relations\OrderRelations;

/**
 * App\Models\Virtual\OrderRenewalPackageCard
 *
 * @property int $id
 * @property int $type
 * @property int $sim
 * @property int $order_id
 * @property int $company_id
 * @property int $package_id
 * @property int $counts
 * @property string|null $service_start_at
 * @property string|null $service_end_at
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property string|null $deleted_at
 * @property-read \App\Models\Card\Card $card
 * @property-read \App\Models\Virtual\Company $company
 * @property-read \App\Models\Virtual\Order $order
 * @property-read \App\Models\Virtual\Package $package
 * @method static bool|null forceDelete()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard newQuery()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalPackageCard onlyTrashed()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard query()
 * @method static bool|null restore()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereCompanyId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereCounts($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereOrderId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard wherePackageId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereServiceEndAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereServiceStartAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereSim($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereUpdatedAt($value)
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalPackageCard withTrashed()
 * @method static \Illuminate\Database\Query\Builder|\App\Models\Virtual\OrderRenewalPackageCard withoutTrashed()
 * @mixin \Eloquent
 * @property int $unit_price
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereProductId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\OrderRenewalPackageCard whereUnitPrice($value)
 */
class OrderRenewalPackageCard extends Model
{
    use SoftDeletes, OrderRelations;

    protected $table = 'virtual_order_renewal_package_cards';
}
