<?php

namespace App\Models\Virtual;

use App\Core\Model;
use App\Models\PackageBase;

/**
 * App\Models\Virtual\Package
 *
 * @property int $id 企业ID
 * @property int $parent_id 父级ID
 * @property string $sn 套餐编号
 * @property string $name 套餐名称
 * @property int $type 套餐类型（0:基础套餐 1：续费包 2:加油包）
 * @property int $carrier_operator 运营商(0:联通 1:移动 2:电信)
 * @property int $cost_price 成本价格
 * @property int $guide_price 指导价格
 * @property int $flows 套餐流量(M)
 * @property int $voices 套餐语音(分钟)
 * @property int $messages 套餐短信(条)
 * @property int $has_messages 是否开通短信服务（0:无 1：有）
 * @property int $has_lbs 是否开通LBS服务（0:无 1：有）
 * @property int $reset_months 重置周期(月)
 * @property int $service_months 套餐周期(月)
 * @property int $effect_months 生效延迟周期(月)
 * @property int $delay_months 服务延长周期(月)
 * @property string|null $description 描述
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property \Illuminate\Support\Carbon|null $deleted_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereCarrierOperator($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereCostPrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereDelayMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereDescription($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereEffectMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereFlows($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereGuidePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereHasLbs($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereHasMessages($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereMessages($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereParentId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereRenewalCostPrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereRenewalGuidePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereResetMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereServiceMonths($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereSn($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereType($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereVoices($value)
 * @mixin \Eloquent
 * @property int $status 状态 0:正常 1:禁用
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Models\Virtual\Package whereStatus($value)
 */
class Package extends PackageBase
{
    protected $table = 'virtual_packages';

    public $incrementing = false;

    protected $fillable = [
        'id',
        'sn',
        'name',
        'type',
        'carrier_operator',
        'cost_price',
        'guide_price',
        'flows',
        'voices',
        'messages',
        'has_messages',
        'has_lbs',
        'reset_months',
        'service_months',
        'effect_months',
        'delay_months',
        'description',
        'flowed',
        'status',
    ];
}
