<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddBusinessTypeToRealOrders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('real_orders', function (Blueprint $table) {
            $table->tinyInteger('business_type')->unsigned()->default(0)->comment('业务类型（0:对私 1:对公）')->after('type');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('real_orders', function (Blueprint $table) {
            $table->dropColumn('business_type');
        });
    }
}
