<?php

use Illuminate\Database\Seeder;
use App\Domains\Virtual\Repositories\PropertySettingRepository;
use function GuzzleHttp\json_encode;

class PropertySettingSeeder extends Seeder
{
    const PROPERTY_SETTING = [
        'commercial_vehicle' => ['货车','两客一危','其他','其他商用车'],
        'company' => ['北斗/GPS运营公司','物联网运营公司','汽车电子后市场','公交集团','企业客户','北斗/GPS/物联网运营公司','北斗/GPS工厂','车厂','汽车电子方案公司'],
        'customer' => ['行业客户','车后市场客户'],
        'package' => ['A类套餐'=>['行车记录仪','电子狗'],'B类套餐'=>['智能后视镜'],'C类套餐'=>['物联网终端','北斗/GPS定位器','北斗超长待机终端','车载WIFI'],'D类套餐'=>['北斗/4G部标机']],
        'package_type' => ['A类套餐','B类套餐','C类套餐','D类套餐'],
        'platform' => ['TSP平台','API接口','车控宝平台'],
        'product' => ['物联网终端','北斗/GPS定位器','电子狗','行车记录仪','后视镜','大屏机','北斗/4G部标机','智能后视镜','北斗超长待机终端','车载WIFI'],
        'province' => ['福建省','广东省','山东省','江西省','安徽省','湖北省','江苏省','浙江省','上海市','四川省','河北省','湖南省','广西壮族自治区','山西省','辽宁省','河南省','贵州省','云南省','北京市','青海省','新疆维吾尔自治区','重庆市','天津市','吉林省','黑龙江省','海南省','陕西省','甘肃省','内蒙古自治区','西藏自治区','宁夏回族自治区','台湾省','香港特别行政区','澳门特别行政区'],
        'vehicle' => ['乘用车','商用车','其他'],
    ];

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        if (app(PropertySettingRepository::class)->count()) {
            return;
        };

        app(PropertySettingRepository::class)->truncate();

        $data = [];

        foreach (self::PROPERTY_SETTING as $key => $value) {
            $data[] = [
                'name' => $key,
                'value' => json_encode($value, 256),
            ];
        }

        app(PropertySettingRepository::class)->upsert($data, 'name');

        app(PropertySettingRepository::class)->forgetCached();
    }
}
