import * as API from 'api/virtual/orders';

export default {
  props: {
    show: {
      type: Boolean,
      default: false
    },
    data: {
      type: Object,
      default() {
        return null;
      }
    }
  },
  watch: {
    show(bool) {
      this.my_show = bool;
      if (bool) {
        this.page.page = 1;
        this.index();
      }
    }
  },
  data() {
    return {
      loading: false,
      my_show: false,
      page: {
        total: 0,
        page: 1,
        limit: 20
      },
      columns: [
        {
          title: "SIM卡号",
          key: "sim",
          align: 'center'
        },
        {
          title: "数量",
          key: "counts",
          width: 75,
          align: 'center'
        },
        {
          title: "退货",
          key: "",
          width: 75,
          align: 'center',
          render: (h, context) => {
            return h('span', context.row.refunded_at ? '√' : '');
          }
        }
      ],
      cards: []
    };
  },
  methods: {
    index() {
      let params = {
        page: this.page.page,
        limit: this.page.limit,
        order_id: this.data.id
      };

      this.loading = true;
      API.cards(params).then(res => {
        this.loading = false;
        if (res.code === 0) {
          this.page.total = res.data.total;

          this.cards = res.data.data;
        }
      });
    },
    changePage(page) {
      this.page.page = page;
      this.index();
    },
    changeLimit(limit) {
      this.page.limit = limit;
      this.changePage(1);
    },
    visibleChange(bool) {
      this.$emit('update:show', bool);
    },
    exportExcel() {
      API.cardsExport({ order_id: this.data.id }).then(res => {
        this.isShowLoading(false);

        if (res.code === 0) {
          if (res.data) {
            this.downloadFile(res.data);
          } else {
            this.$Modal.success({
              title: '提示',
              content: '当前导出数据量大，已进入后台队列导出模式，请稍后至导出列表查看下载。'
            });
          }
        }
      }).catch(() => {
        this.isShowLoading(false);
      });
    }
  }
};
