<?php

namespace Dipper\Console\Commands;

use Dipper\Console\Finder;
use Dipper\Console\Command;
use Symfony\Component\Console\Command\Command as SymfonyCommand;

/**
 * @author HollyTeng <n.haoyuan@gmail.com>
 */
class DomainsListCommand extends SymfonyCommand
{
    use Finder;
    use Command;

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'list:domains';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'List the domains in this project.';

    public function fire()
    {
        $domains = $this->listDomains()->all();

        $this->table(['Domain', 'Slug', 'Path'], array_map(function ($domain) {
            return [$domain->name, $domain->slug, $domain->relativePath];
        }, $domains));
    }
}
