<?php

namespace Dipper\Console\Commands;

use Dipper\Console\Generators\JobGenerator;

/**
 * @author HollyTeng <n.haoyuan@gmail.com>
 */
class JobMakeCommand extends GeneratorCommand
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'make:job';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create a new Job in a domain';

    /**
     * The type of class being generated.
     *
     * @var string
     */
    protected $type = 'Job';


    /**
     * Get the stub file for the generator.
     *
     * @return string
     */
    public function getStub()
    {
        return __DIR__ . '/stubs/job.stub';
    }

    /**
     * Get the test stub file for the generator.
     *
     * @return string
     */
    protected function getTestStub()
    {
        return __DIR__ . '/stubs/job-test.stub';
    }
}
