<?php

namespace Dipper\Console\Commands;

use Dipper\Console\Command;
use Dipper\Console\PackageManifest;
use Symfony\Component\Console\Command\Command as SymfonyCommand;

class PackageDiscoverCommand extends SymfonyCommand
{
    use Command;
    /**
     * The console command signature.
     *
     * @var string
     */
    protected $name = 'package:discover';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Rebuild the cached package manifest';

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function fire()
    {
        $manifest = new PackageManifest;
        $manifest->build();

        foreach ($manifest->getManifest() as $package) {
            $this->info("Discovered Package: <info>{$package}</info>");
        }

        $this->info('Package manifest generated successfully.');
    }
}
