<?php

namespace Dipper\Console\Commands;

use Dipper\Console\Generators\RepositoryGenerator;
use Symfony\Component\Console\Input\InputArgument;

/**
 * @author HollyTeng <n.haoyuan@gmail.com>
 */
class RepositoryMakeCommand extends GeneratorCommand
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'make:repository';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create a new resource Repository class in a domain';

    /**
     * The type of class being generated.
     *
     * @var string
     */
    protected $type = 'Repository';

    /**
     * Get the stub file for the generator.
     *
     * @return string
     */
    protected function getStub()
    {
        return __DIR__ . '/stubs/repository.stub';
    }
}
