<?php

namespace Dipper\Console\Commands;

use Dipper\Console\Str;
use Dipper\Console\Generators\ServiceGenerator;
use Symfony\Component\Console\Input\InputArgument;

/**
 * @author HollyTeng <n.haoyuan@gmail.com>
 */
class ServiceMakeCommand extends GeneratorCommand
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'make:service';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create a new Service in a service';

    /**
     * The type of class being generated.
     *
     * @var string
     */
    protected $type = 'Service';

    /**
     * Get the stub file for the generator.
     *
     * @return string
     */
    protected function getStub()
    {
        return __DIR__ . '/stubs/service.stub';
    }

    /**
     * Get the test stub file for the generator.
     *
     * @return string
     */
    protected function getTestStub()
    {
        return __DIR__ . '/stubs/service-test.stub';
    }
}
