<?php

namespace Dipper\Excel\Concerns;

use Dipper\Excel\Events\AfterSheet;
use Dipper\Excel\Events\AfterStore;
use Dipper\Excel\Events\AfterExport;
use Dipper\Excel\Events\AfterImport;
use Dipper\Excel\Events\BeforeSheet;
use Dipper\Excel\Events\BeforeExport;
use Dipper\Excel\Events\BeforeImport;
use Dipper\Excel\Events\BeforeWriting;

trait RegistersEventListeners
{
    /**
     * @return array
     */
    public function registerEvents(): array
    {
        $listeners = [];

        if (method_exists($this, 'beforeExport')) {
            $listeners[BeforeExport::class] = [static::class, 'beforeExport'];
        }

        if (method_exists($this, 'beforeWriting')) {
            $listeners[BeforeWriting::class] = [static::class, 'beforeWriting'];
        }

        if (method_exists($this, 'beforeImport')) {
            $listeners[BeforeImport::class] = [static::class, 'beforeImport'];
        }

        if (method_exists($this, 'afterImport')) {
            $listeners[AfterImport::class] = [static::class, 'afterImport'];
        }

        if (method_exists($this, 'beforeSheet')) {
            $listeners[BeforeSheet::class] = [static::class, 'beforeSheet'];
        }

        if (method_exists($this, 'afterSheet')) {
            $listeners[AfterSheet::class] = [static::class, 'afterSheet'];
        }

        if (method_exists($this, 'afterExport')) {
            $listeners[AfterExport::class] = [static::class, 'afterExport'];
        }

        if (method_exists($this, 'afterStore')) {
            $listeners[AfterStore::class] = [static::class, 'afterStore'];
        }

        return $listeners;
    }
}
