<?php

namespace Dipper\Excel\Events;

use Dipper\Excel\Writer;

class AfterStore extends Event
{
    /**
     * @var Writer
     */
    public $writer;

    /**
     * @var object
     */
    public $exportable;

    /**
     * @var string
     */
    public $filePath;

    /**
     * @var string|null
     */
    public $disk;

    /**
     * @param Writer $writer
     * @param object $exportable
     */
    public function __construct(Writer $writer, $exportable, $filePath, $disk = null)
    {
        $this->writer     = $writer;
        $this->exportable = $exportable;
        $this->filePath = $filePath;
        $this->disk = $disk;
    }

    /**
     * @return Writer
     */
    public function getWriter(): Writer
    {
        return $this->writer;
    }

    /**
     * @return object
     */
    public function getConcernable()
    {
        return $this->exportable;
    }

    /**
     * @return mixed
     */
    public function getDelegate()
    {
        return $this->writer;
    }

    /**
     * @return mixed
     */
    public function getFilePath()
    {
        return $this->filePath;
    }

    /**
     * @return string
     */
    public function getDisk()
    {
        return $this->disk;
    }
}
