<?php

namespace Dipper\Foundation\Database;

use DateTime;
use DateTimeInterface;
use Illuminate\Support\Fluent;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Schema\Grammars\MySqlGrammar as Grammar;

class MysqlSchemaGrammar extends Grammar
{
    /**
     * Compile a unique key command.
     *
     * @param  \Illuminate\Database\Schema\Blueprint  $blueprint
     * @param  \Illuminate\Support\Fluent  $command
     * @return string
     */
    public function compileComment(Blueprint $blueprint, Fluent $command)
    {
        return sprintf(
            "alter table %s comment '%s'",
            $this->wrapTable($blueprint),
            $command->comment
        );
    }

    /**
     * Compile a unique key command.
     *
     * @param  \Illuminate\Database\Schema\Blueprint  $blueprint
     * @param  \Illuminate\Support\Fluent  $command
     * @return string
     */
    public function compileSetIncrement(Blueprint $blueprint, Fluent $command)
    {
        return sprintf(
            "alter table %s auto_increment %s",
            $this->wrapTable($blueprint),
            $command->number
        );
    }
}
