<?php

namespace Dipper\Foundation\Http;

use Illuminate\Support\ServiceProvider;

class GuzzleServiceProvider extends ServiceProvider
{
    /**
     * 显示是否延迟提供程序的加载
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * 注册一个服务提供者.
     *
     * @return void
     */
    public function register()
    {
        $config = config('dipper.guzzle');

        $this->app->singleton(Guzzle::class, function ($app) use ($config) {
            $guzzle = new Guzzle($config);
            $guzzle->addMiddleware((new GuzzleMiddlewares\LogMiddleware)->handle());
            $guzzle->addMiddleware((new GuzzleMiddlewares\RetryMiddleware)->handle());
            return $guzzle;
        });
    }

    /**
     * 提供的服务
     *
     * @return array
     */
    public function provides()
    {
        return [Guzzle::class];
    }
}
