<?php

return [
    // HTTP 请求的超时时间（秒）
    'timeout' => 5.0,

    // 默认发送配置
    'default' => [
        // 网关调用策略，默认：顺序调用
        'strategy' => Dipper\Sms\Strategies\OrderStrategy::class,

        // 默认可用的发送网关
        'gateways' => ['aliyun'],
    ],
    
    // 可用的网关配置
    'gateways' => [
        'aliyun' => [
            'access_key_id' => env('SMS_ALIYUN_ACCESS_KEY_ID'),
            'access_key_secret' => env('SMS_ALIYUN_ACCESS_KEY_SECRET'),
            'sign_name' => env('SMS_ALIYUN_SIGN_NAME'),
            'template' => [
                'vcode' => env('SMS_ALIYUN_TEMPLATE_VCODE'),
                'installed' => env('SMS_ALIYUN_TEMPLATE_INSTALLED'),
                'order' => env('SMS_ALIYUN_TEMPLATE_ORDER'),
            ],
        ],

        'huyi' => [
            'api_id' => env('SMS_HUYI_API_ID'),
            'api_key' => env('SMS_HUYI_API_KEY'),
        ],

        'fxft' => [
            'username' => env('SMS_FXFT_USERNAME'),
            'password' => env('SMS_FXFT_PASSWORD'),
            'url' => env('SMS_FXFT_URL'),
        ],
    ],
];
