<?php

namespace Dipper\Sms\Contracts;

use Dipper\Sms\Support\Config;

interface GatewayInterface
{
    /**
     * Get gateway name.
     *
     * @return string
     */
    public function getName();

    /**
     * Send a short message.
     *
     * @param int|string|array                             $to
     * @param \Dipper\Sms\Contracts\MessageInterface $message
     * @param \Dipper\Sms\Support\Config             $config
     *
     * @return array
     *
     * @throws \Dipper\Sms\Exceptions\GatewayErrorException
     */
    public function send($to, MessageInterface $message, Config $config);
}
