<?php

namespace Dipper\Sms\Messages;

use Dipper\Sms\Contracts\GatewayInterface;

class OrderMessage extends Message
{
    protected $attributes;

    public function __construct(array $attributes)
    {
        $this->attributes = $attributes;
    }

    // 定义直接使用内容发送平台的内容
    public function getContent(GatewayInterface $gateway = null)
    {
        return sprintf('【车友服务】尊敬的顾客，您的订单%s提交成功，感谢您的使用！若有疑问，请致电客服热线400-999-8900', $this->attributes['order']);
    }

    // 定义使用模板发送方式平台所需要的模板 ID
    public function getTemplate(GatewayInterface $gateway = null)
    {
        $config = $gateway->getConfig();
        return $config['template']['order'];
    }

    // 模板参数
    public function getData(GatewayInterface $gateway = null)
    {
        return [
            'order' => $this->attributes['order'],
        ];
    }
}
